Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.MenuItemConfig Class Reference

## Public Member Functions
| MenuItemConfig ()
| Constructor.
| MenuItemConfig (MenuItemConfig menu_item_config)
| Constructor, with another menu item config object. More...
| MenuItemConfig (String name, String user, String parent, int pos, String pos_str, String exec, String enable, String marked)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getEnable ()
| Get (Only used by More...
String | getExec ()
| Get (Only used by More...
String | getMarked ()
| Get (Only used by More...
String | getName ()
| Get the language-independent name of the menu item. More...
String | getParent ()
| Get the name of the parent menu item. More...
int | getPos ()
| Get the position within the submenu to locate the new menu item. More...
String | getPos_str ()
| Get (Only used by More...
String | getUser ()
| Get the user string (language-dependent name) to display as the menu item name. More...
void | set (String name, String user, String parent, int pos, String pos_str, String exec, String enable, String marked)
| Set values. More...
void | setEnable (String value)
| Set (Only used by More...
void | setExec (String value)
| Set (Only used by More...
void | setMarked (String value)
| Set (Only used by More...
void | setName (String value)
| Set the language-independent name of the menu item. More...
void | setParent (String value)
| Set the name of the parent menu item. More...
void | setPos (int value)
| Set the position within the submenu to locate the new menu item. More...
void | setPos_str (String value)
| Set (Only used by More...
void | setUser (String value)
| Set the user string (language-dependent name) to display as the menu item name. More...

## Detailed Description

This class represents menu item config.

## Constructor & Destructor Documentation

## ◆ MenuItemConfig() [1/2]

com.foxit.sdk.MenuItemConfig.MenuItemConfig | ( | String | name,
|  | String | user,
|  | String | parent,
|  | int | pos,
|  | String | pos_str,
|  | String | exec,
|  | String | enable,
|  | String | marked
| ) |  |

Constructor, with parameters.

Parameters

  [in] | name | The language-independent name of the menu item.
  [in] | user | The user string (language-dependent name) to display as the menu item name.
  [in] | parent | The name of the parent menu item. Its submenu will have the new menu item added to it.
  [in] | pos | The position within the submenu to locate the new menu item.
  [in] | pos_str | The string is a named item in the menu (a language-independent name of a menu item).
  [in] | exec | An expression string to evaluate when the menu item is selected by the user.
  [in] | enable | An expression string that is evaluated to determine whether to enable the menu item.
  [in] | marked | An expression string that determines whether the menu item has a check mark next to it.

## ◆ MenuItemConfig() [2/2]

com.foxit.sdk.MenuItemConfig.MenuItemConfig | ( | MenuItemConfig | menu_item_config | ) |

Constructor, with another menu item config object.

Parameters

  [in] | menu_item_config | Another menu item config object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.MenuItemConfig.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getEnable()

com.foxit.sdk.MenuItemConfig.getEnable | ( |  | ) |

Get (Only used by

Returns
  (Only used by

## ◆ getExec()

com.foxit.sdk.MenuItemConfig.getExec | ( |  | ) |

Get (Only used by

Returns
  (Only used by

## ◆ getMarked()

com.foxit.sdk.MenuItemConfig.getMarked | ( |  | ) |

Get (Only used by

Returns
  (Only used by

## ◆ getName()

com.foxit.sdk.MenuItemConfig.getName | ( |  | ) |

Get the language-independent name of the menu item.

Returns
  The language-independent name of the menu item.

## ◆ getParent()

com.foxit.sdk.MenuItemConfig.getParent | ( |  | ) |

Get the name of the parent menu item.

Returns
  The name of the parent menu item. Its submenu will have the new menu item added to it.

## ◆ getPos()

com.foxit.sdk.MenuItemConfig.getPos | ( |  | ) |

Get the position within the submenu to locate the new menu item.

Returns
  The position within the submenu to locate the new menu item.

## ◆ getPos_str()

com.foxit.sdk.MenuItemConfig.getPos_str | ( |  | ) |

Get (Only used by

Returns
  (Only used by

## ◆ getUser()

com.foxit.sdk.MenuItemConfig.getUser | ( |  | ) |

Get the user string (language-dependent name) to display as the menu item name.

Returns
  The user string (language-dependent name) to display as the menu item name.

## ◆ set()

void com.foxit.sdk.MenuItemConfig.set | ( | String | name,
|  | String | user,
|  | String | parent,
|  | int | pos,
|  | String | pos_str,
|  | String | exec,
|  | String | enable,
|  | String | marked
| ) |  |

Set values.

Parameters

  [in] | name | The language-independent name of the menu item.
  [in] | user | The user string (language-dependent name) to display as the menu item name.
  [in] | parent | The name of the parent menu item. Its submenu will have the new menu item added to it.
  [in] | pos | The position within the submenu to locate the new menu item.
  [in] | pos_str | The string is a named item in the menu (a language-independent name of a menu item).
  [in] | exec | An expression string to evaluate when the menu item is selected by the user.
  [in] | enable | An expression string that is evaluated to determine whether to enable the menu item.
  [in] | marked | An expression string that determines whether the menu item has a check mark next to it.

Returns
  None.

## ◆ setEnable()

com.foxit.sdk.MenuItemConfig.setEnable | ( | String | value | ) |

Set (Only used by

Parameters

  [in] | value | (Only used by

Returns
  None.

## ◆ setExec()

com.foxit.sdk.MenuItemConfig.setExec | ( | String | value | ) |

Set (Only used by

Parameters

  [in] | value | (Only used by

Returns
  None.

## ◆ setMarked()

com.foxit.sdk.MenuItemConfig.setMarked | ( | String | value | ) |

Set (Only used by

Parameters

  [in] | value | (Only used by

Returns
  None.

## ◆ setName()

com.foxit.sdk.MenuItemConfig.setName | ( | String | value | ) |

Set the language-independent name of the menu item.

Parameters

  [in] | value | The language-independent name of the menu item.

Returns
  None.

## ◆ setParent()

com.foxit.sdk.MenuItemConfig.setParent | ( | String | value | ) |

Set the name of the parent menu item.

Parameters

  [in] | value | The name of the parent menu item. Its submenu will have the new menu item added to it.

Returns
  None.

## ◆ setPos()

com.foxit.sdk.MenuItemConfig.setPos | ( | int | value | ) |

Set the position within the submenu to locate the new menu item.

Parameters

  [in] | value | The position within the submenu to locate the new menu item.

Returns
  None.

## ◆ setPos_str()

com.foxit.sdk.MenuItemConfig.setPos_str | ( | String | value | ) |

Set (Only used by

Parameters

  [in] | value | (Only used by

Returns
  None.

## ◆ setUser()

com.foxit.sdk.MenuItemConfig.setUser | ( | String | value | ) |

Set the user string (language-dependent name) to display as the menu item name.

Parameters

  [in] | value | The user string (language-dependent name) to display as the menu item name.

Returns
  None.